image: node:14-alpine

.yarn-install: &yarn-install
  - yarn install --frozen-lockfile --no-scripts

include:
  - project: 'gitlab-org/frontend/untamper-my-lockfile'
    file: '.gitlab-ci-template.yml'

test-create-planning-issues:
  stage: test
  script:
    - *yarn-install
    - yarn run dev:create-planning-issues

create-planning-issues:
  stage: deploy
  script:
    - *yarn-install
    - yarn run create-planning-issues
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule" && $IS_SCHEDULED_PLANNING_UPDATE'
      when: always
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      when: manual

create-navigation-update:
  stage: deploy
  script:
    - *yarn-install
    - [[ $(("( $(date +%s) - $(date +%s --date=20230710) ) / 86400 % 42")) -eq 0 ]] && yarn run create-navigation-update
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule" && $IS_SCHEDULED_NAV_UPDATE'
      when: always
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      when: manual
